Skip to main content
POST
/
api
/
v1
/
files
/
{file_uuid}
/
public-token
Generate public token
curl --request POST \
  --url https://api.example.com/api/v1/files/{file_uuid}/public-token \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket_uuid": "<string>",
  "expires_at": "<string>",
  "file_uuid": "<string>"
}
'
{
  "bucket_uuid": "<string>",
  "expires_at": "<string>",
  "file_uuid": "<string>",
  "token": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Path Parameters

file_uuid
string
required

File UUID

Body

application/json

Token generation request

bucket_uuid
string
expires_at
string
file_uuid
string

Response

OK

bucket_uuid
string
expires_at
string
file_uuid
string
token
string
url
string